--[[

	Gradual healing 1.0
	by Manny

	Slowly regenerates health of all players.

]]--

------------
-- CONFIG --
------------
	
	HP = 5 -- how many HP will be added per second?

------------

if second==nil then second={} end
second={}

addhook("second", "every_second")
function every_second()
	players = player(0, "tableliving") -- get all living players IDs
	if #players > 0 then -- is anybody alive?
		table.foreach( players, Heal ) -- if is, then heal :)
	end
end

function Heal(_index)
	id = players[_index]
	plus = player(id, "health")+HP -- calculate final HP
	parse("sethealth "..id.." "..plus) -- make it happen
end